commit:     662f96dce16df2e196a385b160529f136d5381bb
Author:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
AuthorDate: Mon May 10 15:02:02 2021 +0000
Commit:     Sebastian Pipping <sping <AT> gentoo <DOT> org>
CommitDate: Mon May 10 15:02:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=662f96dc

app-emulation/docker-compose: 1.29.2

Signed-off-by: Sebastian Pipping <sping <AT> gentoo.org>
Package-Manager: Portage-3.0.18, Repoman-3.0.3

 app-emulation/docker-compose/Manifest              |  1 +
 .../docker-compose/docker-compose-1.29.2.ebuild    | 73 ++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/app-emulation/docker-compose/Manifest 
b/app-emulation/docker-compose/Manifest
index de40de59488..e5ff2c6e484 100644
--- a/app-emulation/docker-compose/Manifest
+++ b/app-emulation/docker-compose/Manifest
@@ -4,3 +4,4 @@ DIST docker-compose-1.28.5.tar.gz 318236 BLAKE2B 
32aca16fdebd00c5b211404e82b44b9
 DIST docker-compose-1.28.6.tar.gz 319216 BLAKE2B 
6f35f13fd35e08223fd17406b219fcd8c97fe9a2e96a3210607d23d54923496a9a51271f359b1537b73bc5e407d175822075835f44406fcfe028cc23d8eaf9f9
 SHA512 
0aef0066e58ee3e9ac6ddfef71cd29ae46ba52ed641b6da7ffc74b9e9a60b3974593173e84ac863475bb5d2a3896a0d453fda4decb69101c91abc04f33e50d45
 DIST docker-compose-1.29.0.tar.gz 321019 BLAKE2B 
ba20ae83e0f2d899da2d39cd9f2edbc00b22eaba0209eaa1dbc5d376fc94b16d454713f5d26fed8b06eceb274098dd1155430d43a723e096643a108023de19ed
 SHA512 
41bb20a405a0305093b0678e24c57582393806bc617bd09f98c43c9cd1c38af51011c7ab1c0afd1a91159c5a3e19a1b8df575c5be4a7e8317db96dd37ee9a339
 DIST docker-compose-1.29.1.tar.gz 320234 BLAKE2B 
7efdfee009d293a3cf46af54113750877a105231ad2bb0a643c15431ebc39017d4e5bd06e5e486a4aa0c95de6af165828818b21ac665437156a3e5ec734ece06
 SHA512 
d28298e6a80787d6ed822039214aa8b7fc10dca45e52f7ba499891e0a2f20715dc503edda673c239fdddd33f9941beedcefb34a79dd00ea2fa724d17d54be2f4
+DIST docker-compose-1.29.2.tar.gz 320320 BLAKE2B 
2d1a6375127fa09661822f7148665161b45bbd234c93444ae31c1d926513fcbc9fb845f8af01d8f11788f24b7517bff5f6cea2a5da9ade897891f2dd728f26bd
 SHA512 
09f2ae2ae7a17ab5fb3e22580f7a80f1a8253f7ad9fc8f29aca432911bcde46ed22030ff3073cdd7eff3d55aaba17f56e628a178ec05c3a9b4f28495d6045111

diff --git a/app-emulation/docker-compose/docker-compose-1.29.2.ebuild 
b/app-emulation/docker-compose/docker-compose-1.29.2.ebuild
new file mode 100644
index 00000000000..0d5c1a457de
--- /dev/null
+++ b/app-emulation/docker-compose/docker-compose-1.29.2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 2018-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1
+
+MY_PV=${PV/_/-}
+DESCRIPTION="Multi-container orchestration for Docker"
+HOMEPAGE="https://github.com/docker/compose";
+SRC_URI="https://github.com/docker/compose/archive/${MY_PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]
+       >=dev-python/cached-property-1.2.0[${PYTHON_USEDEP}]
+       >=dev-python/distro-1.5.0[${PYTHON_USEDEP}]
+       >=dev-python/docker-py-5[${PYTHON_USEDEP}]
+       >=dev-python/dockerpty-0.4.1[${PYTHON_USEDEP}]
+       >=dev-python/docopt-0.6.1[${PYTHON_USEDEP}]
+       >=dev-python/python-dotenv-0.13.0[${PYTHON_USEDEP}]
+       >=dev-python/jsonschema-2.5.1[${PYTHON_USEDEP}]
+       dev-python/paramiko[${PYTHON_USEDEP}]
+       >=dev-python/PySocks-1.6.0[${PYTHON_USEDEP}]
+       >=dev-python/pyyaml-3.10[${PYTHON_USEDEP}]
+       >=dev-python/requests-2.20.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.3.0[${PYTHON_USEDEP}]
+       >=dev-python/texttable-0.9.0[${PYTHON_USEDEP}]
+       >=dev-python/websocket-client-0.32.0[${PYTHON_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       test? (
+               >=dev-python/pytest-5[${PYTHON_USEDEP}]
+               >=dev-python/ddt-1.2.2[${PYTHON_USEDEP}]
+       )"
+
+S="${WORKDIR}/compose-${MY_PV}"
+
+PATCHES=(
+       # Bug #679968 -- https://bugs.gentoo.org/679968
+       # Bug #681002 -- https://bugs.gentoo.org/681002
+       "${FILESDIR}"/${PN}-1.29.0-setup-py.patch
+)
+
+DOCS=( CHANGELOG.md README.md )
+
+src_prepare() {
+       # Address QA issue "docker-compose.exe: missing alias (symlink) for 
completed command."
+       sed 's,^\(complete.*\) docker-compose\.exe\(.*\),\1\2,' -i 
contrib/completion/bash/docker-compose || die
+
+       default
+}
+
+python_test() {
+       distutils_install_for_testing
+       ${PYTHON} -m pytest tests/unit/ || die "tests failed under ${EPYTHON}"
+}
+
+python_install_all() {
+       newbashcomp contrib/completion/bash/docker-compose ${PN}
+
+       insinto /usr/share/zsh/site-functions
+       doins contrib/completion/zsh/*
+
+       distutils-r1_python_install_all
+}

Reply via email to